org.w3c.dom.html

## Interface HTMLLabelElement

All Superinterfaces:
  Element, HTMLElement, Node

    public interface HTMLLabelElement
    extends HTMLElement

Form field label text. See the LABEL element definition in HTML 4.0.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getAccessKey()` A single character access key to give access to the form control.
`HTMLFormElement` `getForm()` Returns the `FORM` element containing this control.Returns null if this control is not within the context of a form.
`java.lang.String` `getHtmlFor()` This attribute links this label with another form controlby `id` attribute.
`void` `setAccessKey(java.lang.String accessKey)`
`void` `setHtmlFor(java.lang.String htmlFor)`

### Methods inherited from interface org.w3c.dom.html.HTMLElement

`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

### Methods inherited from interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### getForm

    HTMLFormElement getForm()

Returns the `FORM` element containing this control.Returns null if this control is not within the context of a form.

#### getAccessKey

    java.lang.String getAccessKey()

A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0.

#### setAccessKey

    void setAccessKey(java.lang.String accessKey)

#### getHtmlFor

    java.lang.String getHtmlFor()

This attribute links this label with another form controlby `id` attribute. See the for attribute definition in HTML 4.0.

#### setHtmlFor

    void setHtmlFor(java.lang.String htmlFor)